# Package com.drake.net.reflect

## Types

$Gson$Preconditions
Link copied to clipboard
class $Gson$Preconditions
Content copied to clipboard
A simple utility class used to check method Preconditions.
$Gson$Types
Link copied to clipboard
class $Gson$Types
Content copied to clipboard
Static methods for working with types.
TypeToken
Link copied to clipboard
open class TypeToken<T>
Content copied to clipboard
Represents a generic type `{@code T}`.

## Functions

typeTokenOf
Link copied to clipboard
inline fun <T> typeTokenOf(): Type
Content copied to clipboard